Questão Como instalar a versão anterior do Maven (3.0.4)?


A maneira como meus pacotes Maven são configurados, algo quebra quando eu tenho a versão mais recente instalada (eu acho 3.4). Em outro computador, onde tenho 3.0.4, a compilação é executada corretamente. Eu estou procurando uma maneira de instalar uma versão anterior usando apt-get. eu segui estas instruções e eles completaram bem, mas quando eu corri mvm -v, Eu tenho o seguinte erro, então algo deve estar errado com a bola de alcatrão:

[ERRO] Fase desconhecida do ciclo de vida "–v"


4
2018-05-14 22:34


origem


Você já pensou em tentar consertar a versão atual do Maven? Além disso, a versão do maven nos repositórios é 3.0.5. - saiarcot895


Respostas:


  1. Baixe e extraia o pacote de instalação:

    cd /opt
    wget -O- https://archive.apache.org/dist/maven/maven-3/3.0.4/binaries/apache-maven-3.0.4-bin.tar.gz |
    sudo tar -xzv
    
  2. Adicionar /opt/apache-maven-3.0.4/bin para o seu PATH.

Veja também http://maven.apache.org/download.cgi.


4
2018-05-22 21:57



atualização: link não funciona. Use este em vez disso: archive.apache.org/dist/maven/maven-3/3.0.5/binaries/… - Marc Guiselin
e remova o .gz no 4º passo - Marc Guiselin
adicione / bin ao final desse caminho na etapa 9 - Marc Guiselin


Você pode instalar o maven 3.0.4 com ppa: rockclimb / netbeans repositório.

sudo add-apt-repository ppa:rockclimb/netbeans

sudo apt-get update

sudo apt-get install maven

0
2018-05-22 21:50